
#import <appkit/appkit.h>

#define MEDIUM 	0x04 
#define HIGHT	0x06 

#define HIGH_COLUMN 	640 
#define MEDIUM_COLUMN 	320
#define COMMON_ROW 	200 

@interface CGAView:View
{
    int modo; 
    float radioX; 		// radio de pixel (tamanho de salto w) 
    float radioY; 		// radio de pixel (tamanho de salto h)
    id  myWindow;
}

- initFrame:(const NXRect *)fr; 
- awakeFromNib;
- drawSelf:(const NXRect *)r: (int) count; 

- setMode:(int)m;
- (int)mode; 

- putPixelInRow:(unsigned)row column:(unsigned)column withColor:(unsigned)color; 
- (int) readPixelInRow:(unsigned)row column:(unsigned)column; 

- mouseDown: (NXEvent *)theEvent; 

@end
