/* task_vm.h */ 

#define END_RUN_VM  0x2000 
#define END_TASK_VM 0x2001

#define	EFL_SAFE	(EFL_CF|EFL_PF|EFL_AF|EFL_ZF|EFL_SF|EFL_DF|EFL_OF|EFL_RF|EFL_IF)
#define	EFL_TSAFE	(EFL_TF|EFL_CF|EFL_PF|EFL_AF|EFL_ZF|EFL_SF|EFL_DF|EFL_OF|EFL_RF|EFL_IF)

void tarea_virtual(task_t *t); 
void estado_mem(task_t *t, vm_address_t addr);
void estado_mem8086(task_t *t, segment_8086 s, offset_8086 o);
void muestra_memoria(task_t *t, vm_address_t addr, u_int nbytes);
void llena(task_t *t, vm_address_t *dat); 
void informa_tarea(task_t *t);
int carga_archivo(task_t t, char *name, vm_address_t addr, int *num);
void thread_V86(task_t t, thread_t *vmt, vm_address_t entry_point, port_t *pe);
void informa_hilo(thread_t t);
// kern_return_t catch_exception_raise(port_t p, thread_t th, task_t tk, 
//       int exception, int code, int subcode)
void desp_ret_rcv(kern_return_t r);
void process_exception(port_t pe);
void hilo(); 
void tarea_monitor(); 
void main_a(); 
int carga(const char *nombrearchivo); 
void maneja_hiloV86();
void obten_memoria(task_t *t, vm_address_t addr, u_int nbytes, char *s);
void memoriaV86();
kern_return_t map_in(task_t *t, char *vmeip, vm_address_t *eip, vm_address_t *addr); 
kern_return_t map_out(task_t *t, vm_address_t vmeip, vm_address_t addr); 

